Bug 1094513 - openbabel testsuite is failing on ppc64, ppc64le, aarch64
Summary: openbabel testsuite is failing on ppc64, ppc64le, aarch64
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: openbabel
Version: epel7
Hardware: ppc64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-05-05 21:27 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2015-02-23 08:03 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-02-23 08:03:34 UTC


Attachments (Terms of Use)
ppc64 build.log from https://koji.fedoraproject.org/koji/taskinfo?taskID=6803057 (1.14 MB, text/x-log)
2014-05-05 21:27 UTC, Dominik 'Rathann' Mierzejewski
no flags Details

Description Dominik 'Rathann' Mierzejewski 2014-05-05 21:27:20 UTC
Created attachment 892707 [details]
ppc64 build.log from https://koji.fedoraproject.org/koji/taskinfo?taskID=6803057

Description of problem:
Three tests from the openbabel testsuite are failing on the ppc64 builders:

[...]
The following tests FAILED:
	 10 - rotor_Test (Failed)
	 23 - inchiSteffen_PubChem.smi_Test (Timeout)
	 54 - pytest_sym (Timeout)
[...]

Version-Release number of selected component (if applicable):
2.3.2-3.el7

How reproducible:
Always

Steps to Reproduce:
1. Try building git://pkgs.fedoraproject.org/openbabel?#07c567d5b32a1e4166b0a95863ceffdf5df001b3

Actual results:
Three tests fail.

Expected results:
%check should complete successfully on ppc64 as well.

Additional info:
Full koji build log from ppc64 builder attached.

Comment 1 Marcin Juszkiewicz 2014-05-13 12:31:13 UTC
Same ones fail on AArch64.

Comment 2 Marcin Juszkiewicz 2014-05-15 20:04:08 UTC
I suspect OBRotor::CalcTorsion() function or data it uses.


Basically this part:

    if ((v2x*c3x + v2y*c3y + v2z*c3z) > 0.0)
      ang = -acos(costheta);
    else
      ang = acos(costheta);

As on AArch64 (and probably PPC64 as well) "if" case is true in second part of test so it fails.

Comment 3 Fedora Update System 2015-02-05 08:44:21 UTC
openbabel-2.3.2-11.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/openbabel-2.3.2-11.fc21

Comment 4 Fedora Update System 2015-02-06 04:00:57 UTC
Package openbabel-2.3.2-11.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openbabel-2.3.2-11.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1735/openbabel-2.3.2-11.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-02-23 08:03:34 UTC
openbabel-2.3.2-11.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.